- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TriggeringEventEvaluator Class Reference

Inherits Object.

List of all members.

## Detailed Description

Implementions of this interface allow certain appenders to decide when to perform an appender specific action.

For example the SMTPAppender sends an email when the isTriggeringEvent method returns `true` and adds the event to an internal buffer when the returned result is `false`.

## Public Member Functions
virtual bool | isTriggeringEvent (const spi::LoggingEventPtr &event)=0
| Is this the triggering event?

## Member Function Documentation

virtual bool isTriggeringEvent | ( | const spi::LoggingEventPtr & | event | ) | `[pure virtual]`

| Is this the triggering event?

The documentation for this class was generated from the following file:

- triggeringeventevaluator.h